Legacy (v0)
Get a company's payments status
Returns the payment set-up of the company: its card processors (providers.psps) and alternative payment methods (providers.apms) with per-country status, readiness counts, card vault and 3-D Secure status, onboarding form status, and the Fluid platform fee. Bogus test accounts are left out. Requires a company admin Bearer token with the payment_accounts view permission.
GET
/
api
/
companies
/
{id}
/
payments_status
Get a company's payments status
curl --request GET \
--url https://api.fluid.app/api/companies/{id}/payments_status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/companies/{id}/payments_status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/companies/{id}/payments_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/companies/{id}/payments_status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/companies/{id}/payments_status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/companies/{id}/payments_status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/companies/{id}/payments_status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"providers": {
"psps": [
{
"id": 52817,
"integration_class": "CreditCard",
"adapter_class": "ActiveMerchant::Billing::AdyenGateway",
"provider_type": "psp",
"aggregator_name": "ActiveMerchant::Billing::AdyenGateway",
"onboarding_status": "live",
"onboarding_time_estimate": null,
"processing_fee": {
"basis_points": 290,
"fixed_cents": 30
},
"payment_account_id": 52817,
"payment_account_uuid": "0191e3a4-6c2b-7d58-9f1e-3b8a2c47d905",
"payment_account_name": "Adyen",
"active": true,
"test": false,
"sandbox": false,
"apple_pay_enabled": true,
"recurring_only": false,
"moto_only": false,
"is_aggregator": false,
"icon_url": "https://assets.fluid.app/images/payment_icons/adyen.svg",
"display_name": "Adyen",
"description": null,
"brand_color": null,
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States",
"status": "live"
}
],
"success_rate": "98.64%"
}
],
"apms": [
{
"id": 52822,
"integration_class": "Paypal",
"adapter_class": null,
"provider_type": "apm",
"aggregator_name": "Paypal",
"onboarding_status": "live",
"onboarding_time_estimate": null,
"processing_fee": {
"basis_points": 349,
"fixed_cents": 49
},
"payment_account_id": 52822,
"payment_account_uuid": "0191e3a5-02d7-7a1c-8e44-5f6b1d93c218",
"payment_account_name": "PayPal",
"active": true,
"test": false,
"sandbox": false,
"apple_pay_enabled": false,
"recurring_only": false,
"moto_only": false,
"is_aggregator": true,
"icon_url": "https://www.paypalobjects.com/webstatic/mktg/Logo/pp-logo-150px.png",
"display_name": "PayPal",
"description": null,
"brand_color": null,
"countries": [
{
"id": 38,
"iso": "CA",
"name": "Canada",
"status": "not_configured"
},
{
"id": 233,
"iso": "US",
"name": "United States",
"status": "live"
}
],
"success_rate": "99.12%"
}
]
},
"metrics": {
"psps_connected": 1,
"apms_enabled": 1,
"countries_ready": 1,
"total_countries": 2
},
"infrastructure": {
"vault": {
"configured": true,
"status": "ready"
},
"three_ds": {
"configured": true,
"status": "ready"
}
},
"onboarding": {
"form_submitted": true
},
"platform_fee": {
"rate": 0.5,
"fixed": 0.1
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}⌘I
Get a company's payments status
curl --request GET \
--url https://api.fluid.app/api/companies/{id}/payments_status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/companies/{id}/payments_status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/companies/{id}/payments_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/companies/{id}/payments_status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/companies/{id}/payments_status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/companies/{id}/payments_status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/companies/{id}/payments_status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"providers": {
"psps": [
{
"id": 52817,
"integration_class": "CreditCard",
"adapter_class": "ActiveMerchant::Billing::AdyenGateway",
"provider_type": "psp",
"aggregator_name": "ActiveMerchant::Billing::AdyenGateway",
"onboarding_status": "live",
"onboarding_time_estimate": null,
"processing_fee": {
"basis_points": 290,
"fixed_cents": 30
},
"payment_account_id": 52817,
"payment_account_uuid": "0191e3a4-6c2b-7d58-9f1e-3b8a2c47d905",
"payment_account_name": "Adyen",
"active": true,
"test": false,
"sandbox": false,
"apple_pay_enabled": true,
"recurring_only": false,
"moto_only": false,
"is_aggregator": false,
"icon_url": "https://assets.fluid.app/images/payment_icons/adyen.svg",
"display_name": "Adyen",
"description": null,
"brand_color": null,
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States",
"status": "live"
}
],
"success_rate": "98.64%"
}
],
"apms": [
{
"id": 52822,
"integration_class": "Paypal",
"adapter_class": null,
"provider_type": "apm",
"aggregator_name": "Paypal",
"onboarding_status": "live",
"onboarding_time_estimate": null,
"processing_fee": {
"basis_points": 349,
"fixed_cents": 49
},
"payment_account_id": 52822,
"payment_account_uuid": "0191e3a5-02d7-7a1c-8e44-5f6b1d93c218",
"payment_account_name": "PayPal",
"active": true,
"test": false,
"sandbox": false,
"apple_pay_enabled": false,
"recurring_only": false,
"moto_only": false,
"is_aggregator": true,
"icon_url": "https://www.paypalobjects.com/webstatic/mktg/Logo/pp-logo-150px.png",
"display_name": "PayPal",
"description": null,
"brand_color": null,
"countries": [
{
"id": 38,
"iso": "CA",
"name": "Canada",
"status": "not_configured"
},
{
"id": 233,
"iso": "US",
"name": "United States",
"status": "live"
}
],
"success_rate": "99.12%"
}
]
},
"metrics": {
"psps_connected": 1,
"apms_enabled": 1,
"countries_ready": 1,
"total_countries": 2
},
"infrastructure": {
"vault": {
"configured": true,
"status": "ready"
},
"three_ds": {
"configured": true,
"status": "ready"
}
},
"onboarding": {
"form_submitted": true
},
"platform_fee": {
"rate": 0.5,
"fixed": 0.1
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}